Bug 61096 - kernel-headers missing in RHSA-2002-026 updates
Summary: kernel-headers missing in RHSA-2002-026 updates
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-13 15:42 UTC by Pavel Kankovsky
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pavel Kankovsky 2002-03-13 15:42:11 UTC
Description of Problem:
A new version in kernel-headers is not included in the most recent batch of
kernel updates (RHSA-2002-026, "Vulnerability in zlib library"). This makes it
pretty difficult to rebuild custom kernel modules (e.g. vmware*) when the
updates are installed.

Version-Release number of selected component (if applicable):
2.2.19-6.2.15

How Reproducible:
Easily.

Steps to Reproduce:
1. install all updates
2. rpm -q kernel kernel-headers

Actual Results:
kernel-2.2.19-6.2.15
kernel-headers-2.2.19-6.2.12

Expected Results:
kernel-2.2.19-6.2.15
kernel-headers-2.2.19-6.2.15 <---!

Additional Information:
It is rather amusing a new version of kernel-source (sources without headers)
has been released.

Comment 1 Pavel Kankovsky 2002-03-13 19:20:29 UTC
What is the purpose of this update anyway? The only patch touching zlib.c is the
deprecated ipvs-1.0.6-2.2.19.patch?!

Comment 2 Need Real Name 2002-03-14 05:48:08 UTC
I read somewhere that the only kernel code affected by RHSA-2002-026 is the
kernel-resident ppp module.

By the way, I can vouch for the fact that the build of 2.2.19-6.2.15 kernel
source blows up with 2.2.19-6.2.12 kernel headers.

Comment 3 chrism 2002-03-18 19:41:54 UTC
I've seen a similar problem in building php and some other applications so I
don't think it's limited to kernel modules.

Comment 4 Bugzilla owner 2004-09-30 15:39:26 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.